pack_fseek(3)

NAME
pack_fseek

SYNOPSIS
#include <allegro.h>

int pack_fseek(PACKFILE *f, int offset);

DESCRIPTION
Moves the position indicator of the stream f. Unlike the standard fseek() function, this only supports forward movements relative to the current position and in read-only streams, so don't use negative offsets.

RETURN VALUE
Returns zero on success or a negative number on error, storing the error code in errno. Note that seeking is very slow when reading compressed files, and so should be avoided unless you are sure that the file is not compressed.

SEE ALSO
pack_fopen(3), pack_fopen_chunk(3)